import { request } from '@/service/request';

/**
 * 电影倒计时配置
 * @param data
 * @returns
 */
export function fetchCountdown(data: any) {
  return request({
    url: '/smqjh-pms/api/v1/movie/countdown',
    method: 'POST',
    data
  });
}
/**
 * 退改签协议配置
 * @param data
 * @returns
 */
export function fetchProtocol(data: any) {
  return request({
    url: '/smqjh-pms/api/v1/movie/protocol',
    method: 'post',
    data
  });
}

/**
 * 购票须知
 * @param data
 */
export function fetchNotice(data: any) {
  return request({
    url: '/smqjh-pms/api/v1/movie/ticket/notice',
    method: 'post',
    data
  });
}

export function fetchGetConfig() {
  return request({
    url: '/smqjh-pms/api/v1/movie/config',
    method: 'GET'
  });
}
